<?php

require_once 'application/config/boot_init.php';
require_once 'application/helpers/class_supervision.php';

class Supervision
{    
    public static $page_php               = 'supervision.php';
    
    public static function mesureTraitement($heureFin)
    {  
        
        $data = $_SESSION['supervision']??[];

        if(isset($data['heureDebut']) && $heureFin)
        {
            $envoi = '<OXAAgent_Record_In LngUtlisation="">
                    	<Utilisateur>'.($data['idUser']??'').'</Utilisateur>
                    	<TypeTraitement>'.($data['type']??'').'</TypeTraitement>
                    	<HeureDebut>'.($data['heureDebut']??'').'</HeureDebut>
                    	<HeureFin>'.($heureFin??'').'</HeureFin>
                    	<RefObjet>'.($data['refObjet']??'').'</RefObjet>
                    	<NbLignesObjet>'.($data['nbLigneObjet']??'').'</NbLignesObjet>
                    	<CodeCtrEmetteur>'.($data['codeSectionImputation']??'').'</CodeCtrEmetteur>
                    	<CodeCtrLivraison>'.($data['codeCtrLivraison']??'').'</CodeCtrLivraison>
                    	<CodeSociete>'.($data['codeSociete']??'').'</CodeSociete>
                    	<CodeSectionImputation>'.($data['codeSectionImputation']??'').'</CodeSectionImputation>
                    	<NbExemplaires></NbExemplaires>
                    	<TexteRecherche>'.($data['texteRecherche']??'').'</TexteRecherche>
                    	<Catalogue>'.($data['catalogue']??'').'</Catalogue>
                    	<NombreResultatRecherche>'.($data['nbResultat']??'').'</NombreResultatRecherche>
                    	<NomFichier>'.($data['nomFichier']??'').'</NomFichier>
                      </OXAAgent_Record_In>
                    ';
                
            Wsdl::wsdlCallGen('','OXAPRC_SUPERV_ENVOI_RESULTAT',$envoi);
            
        }
        unset($_SESSION['supervision']);
    }
    
    public static function setHeureDebut()
    {
        $_SESSION['supervision']['heureDebut']=date('His');
    }
    
    
    public static function setIdUser($user)
    {
        $_SESSION['supervision']['idUser']=$user;
    }
    
    public static function setTypeTraitement($type)
    {
        $_SESSION['supervision']['type']=$type;
    }
    
    public static function setRefObjet($value)
    {
        $_SESSION['supervision']['refObjet']=$value;
    }
    
    public static function setNbResultat($generiq=0, $ssFamille=0, $catalogue=0, $commande=0)
    {
        $value = 'G : '.$generiq.' , SF : '.$ssFamille.' , C : '.$catalogue.' , H : '.$commande;
        $_SESSION['supervision']['nbResultat']=$value;
    }
    
    public static function setCodeCtrEmetteur($value)
    {
        $_SESSION['supervision']['codeCtrEmetteur']=$value;
    }
    
    public static function setCodeCtrLivraison($value)
    {
        $_SESSION['supervision']['codeCtrLivraison']=$value;
    }
    
    public static function setCodeSociete($value)
    {
        $_SESSION['supervision']['codeSociete']=$value;
    }
    
    public static function setCodeSectionImputation($value)
    {
        $_SESSION['supervision']['codeSectionImputation']=$value;
    }
    
    public static function setTexteRecherche($value)
    {
        $_SESSION['supervision']['texteRecherche']=$value;
    }
    
    public static function setCatalogue($listeValue)
    {
        $value = implode(',', $listeValue);
        $_SESSION['supervision']['catalogue']=$value;
    }
    
    public static function setNbLigneObjet($value)
    {
        $_SESSION['supervision']['nbLigneObjet']=$value;
    }
    
    public static function setNomFichier($value)
    {
        $_SESSION['supervision']['nomFichier']=$value;
    }
}